abstract class AuthLocalDataSource {
  Future<String?> getToken();
  String? getTokenSync();
  Future<void> saveToken(String token);
  Future<String?> getRefreshToken();
  Future<void> saveRefreshToken(String token);
  Future<void> removeToken();
  Future<String?> getUserId();
  Future<void> saveUserId(String userId);
  Future<void> removeUserId();
}
